secretkey: "supersecretkey1234567890abcdef"

global:
  security:
    allowInsecureImages: true

image:
  repository: ghcr.io/plankanban/planka
  tag: nightly
  pullPolicy: IfNotPresent

admin_email: "admin@dvirlabs.com"
admin_password: "changeme123"
admin_name: "dvirlabs"
admin_username: "admin"

ingress:
  enabled: true
  hosts:
    - host: planka.dvirlabs.com
      paths:
        - path: /
          pathType: Prefix
  tls:
    - secretName: planka-cert
      hosts:
        - planka.dvirlabs.com

postgresql:
  enabled: true
  image:
    registry: docker.io
    repository: bitnamilegacy/postgresql
    tag: 17.4.0-debian-12-r17
  auth:
    username: planka
    password: planka123
    database: planka
  primary:
    persistence:
      size: 10Gi
      storageClass: nfs-client

persistence:
  enabled: true
  storageClass: nfs-client
  size: 5Gi

oidc:
  enabled: true
  clientId: planka
  clientSecret: "5jNe3TcDj4e3ZtRqfBrtBMUhXHAOa8iU"
  issuerUrl: "https://keycloak.dvirlabs.com/realms/lab"
  scopes:
    - openid
    - profile
    - email
  admin:
    rolesAttribute: groups
    roles:
      - planka-admins
